Subject: Re: kernel executing from flash

From: Wolfgang Denk <[email-masked]>
Date: Tue, 28 Mar 2000 13:40:14 +0200

In message <[email-masked]> you wrote:
>
> My primary aim is not to gain speed or to save money, although this is
> important for my application too.
> By fetching opcodes from flash I expect more stability in temperature- and
> emc-critical environement, for data in "ROM" is saver than in RAM. Of corse,
> there is always run-time critical data in RAM (processor stack), but the
> probability of "irrepairable" errors should decrease by runnig from flash.

A crash is a crash is a crash...

If you have memory errors, your system is bound to  crash  sooner  or
later, no matter if it hits the program code, or the stack, or data.

What's the difference between a crash because of a bad opcode or  one
because of a division by zero because of faulty data?

Black magic...

Wolfgang Denk

--
Software Engineering:  Embedded and Realtime Systems,  Embedded Linux
Phone: (+49)-8142-4596-87  Fax: (+49)-8142-4596-88  Email: [email-masked]
Work 8 hours, sleep 8 hours; but not the same 8 hours.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/